package xn.hxp.ui.plan.already;

import com.rc.httpcore.bean.HxpChemicalVo;

import java.util.List;

public class AlreadyBean {
    // 是否是管理身份
    private boolean isAdmin;

    private PageData pageData;

    // 与我无关总数
    private int other;
    // 与我相关总数
    private int personal;

    public class PageData {
        private int total;// 总数
        private int size;// 分页条数
        private int pages;
        private int current;// 页码
        private List<HxpChemicalVo> records;


        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public List<HxpChemicalVo> getRecords() {
            return records;
        }

        public void setRecords(List<HxpChemicalVo> records) {
            this.records = records;
        }
    }

    public boolean isAdmin() {
        return isAdmin;
    }

    public void setAdmin(boolean admin) {
        isAdmin = admin;
    }

    public PageData getPageData() {
        return pageData;
    }

    public void setPageData(PageData pageData) {
        this.pageData = pageData;
    }

    public int getOther() {
        return other;
    }

    public void setOther(int other) {
        this.other = other;
    }

    public int getPersonal() {
        return personal;
    }

    public void setPersonal(int personal) {
        this.personal = personal;
    }
}
